package com.engine.forstarsecond.service;

import com.engine.forstarsecond.entity.ExamineRanking;

import java.util.List;
import java.util.Map;

/**
 * @Author liang.cheng
 * @Date 2025/4/27 10:04
 * @Description: TODO
 * @Version 1.0
 */
public interface ExamineRankingService {

    /**
     * @Description: 计算排名
     * @Author: liang.cheng
     * @Date: 2025/4/29 09:54
     * @param: [params]
     * @return: java.util.Map<java.lang.String,java.lang.Object>
     */
    int examineRanking(Map<String, Object> params);


    /**
     * @Description: 员工月/季绩效评价
     * @Author: liang.cheng
     * @Date: 2025/4/29 09:58
     * @param: [khqj]
     * @return: List<ExamineRanking>
     */
    List<ExamineRanking> calculateWorkers(String khqj,String yglb);


    /**
     * @Description: 年度综合评价
     * @Author: liang.cheng
     * @Date: 2025/4/29 09:58
     * @param: [khqj]
     * @return: List<ExamineRanking>
     */
    List<ExamineRanking> calculateWorkersByYear(String khqj,String yglb);

    /**
     * @Description: 获取人员图像
     * @Author: liang.cheng
     * @Date: 2025/4/30 14:35
     * @param: [resourceId]
     * @return: java.lang.String
     */
    Map<String,Object> resourceImage(String billid);

    /**
     * @Description: 获取普实供应商列表
     * @Author: liang.cheng
     * @Date: 2025/5/7 15:47
     * @param: [billid]
     * @return: java.util.List<java.lang.String>
     */
    List<String> workUnits();

    /**
     * @Description: 家庭成员工作单位
     * @Author: liang.cheng
     * @Date: 2025/5/7 16:03
     * @param: [params]
     * @return: java.util.List<java.lang.String>
     */
    Map<String,List<String>> familyWorkUnit(Map<String, Object> params);
}
